incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ariel Constenla-Haile <ariel.constenla.ha...@googlemail.com>
Subject [code] build on Linux 64 bits (Fedora 15)
Date Thu, 01 Sep 2011 21:25:04 GMT
Hi there,

building on Fedora 15 (64 bits) with
./configure   \
--enable-crashdump=yes  \
--enable-cairo  --with-system-cairo  \
--enable-opengl  \
--enable-dbus  \
--enable-minimizer  \
--enable-presenter-console  \
--enable-pdfimport  \
--enable-wiki-publisher  \
--enable-report-builder \
--enable-mysql-connector --with-system-mysql \
--with-epm=/home/ariel/bin/epm --with-package-format="rpm"  \
--with-mingwin=i686-pc-mingw32-g++   \
--enable-graphite   \
--enable-verbose \
--with-external-tar=/mnt/build/openoffice/dev300/ext_sources

(I just wanted to try with the same options I was building DEV300)
I get the following errors:

* enabling the OpenGL transitions:

Compiling: slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx: In member function 'bool {anonymous}::OGLTransitionerImpl::createWindow(Window*)':
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx:490:28: error: 'FALSE' was
not declared in this scope
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx:496:28: error: 'FALSE' was
not declared in this scope
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx:520:68: error: 'FALSE' was
not declared in this scope
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx:546:34: error: 'TRUE' was not
declared in this scope
slideshow/source/engine/OGLTrans/OGLTrans_TransitionerImpl.cxx:548:36: error: 'FALSE' was
not declared in this scope
dmake:  Error code 1, while making '../../../unxlngx6.pro/slo/OGLTrans_TransitionerImpl.obj'

seems the code missed the removal of the old tool's types.


* enabling dbus:

[ build CXX ] vcl/unx/gtk/window/gtkframe
vcl/unx/gtk/window/gtkframe.cxx:67:28: fatal error: dbus/dbus-glib.h: No such file or directory


* enabling KDE 4, moc can't be found:

checking for Qt4 headers... /usr/include
checking for Qt4 libraries... /usr/lib64
checking for moc... no
configure: error: Qt Meta Object Compiler not found.  Please specify
the root of your Qt installation by exporting QT4DIR before running "configure".

exporting QT4DIR=/usr/lib64/qt4 does not help. 
Hard-coding MOC4="/usr/bin/moc-qt4" in configure allowed to move on until next error:

checking for moc... /usr/bin/moc-qt4
checking for KDE4 headers... no
configure: error: KDE4 headers not found.  Please specify the root of your KDE4 installation
by exporting KDE4DIR before running "configure".

exporting KDE4DIR does not work, either. I didn't have time to look at these, so I simply
disabled kde4.


Regards
-- 
Ariel Constenla-Haile
La Plata, Argentina

Mime
View raw message